Skip to main content
GET
/
api
/
v1
/
tasks
/
{id.project}
/
{id.domain}
Fetch a list of :ref:`ref_flyteidl.admin.Task` definitions
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/tasks/{id.project}/{id.domain}
{
  "tasks": [
    {
      "id": {
        "resource_type": "UNSPECIFIED",
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "version": "<string>",
        "org": "<string>"
      },
      "closure": {
        "compiled_task": {
          "template": {
            "id": {
              "resource_type": "UNSPECIFIED",
              "project": "<string>",
              "domain": "<string>",
              "name": "<string>",
              "version": "<string>",
              "org": "<string>"
            },
            "type": "<string>",
            "metadata": {
              "discoverable": true,
              "runtime": {
                "type": "OTHER",
                "version": "<string>",
                "flavor": "<string>"
              },
              "timeout": "<string>",
              "retries": {
                "retries": 123
              },
              "discovery_version": "<string>",
              "deprecated_error_message": "<string>",
              "interruptible": true,
              "cache_serializable": true,
              "tags": {},
              "pod_template_name": "<string>",
              "cache_ignore_input_vars": [
                "<string>"
              ],
              "is_eager": true,
              "generates_deck": true,
              "metadata": {
                "labels": {},
                "annotations": {}
              }
            },
            "interface": {
              "inputs": {
                "variables": {}
              },
              "outputs": {
                "variables": {}
              }
            },
            "custom": {},
            "container": {
              "image": "<string>",
              "command": [
                "<string>"
              ],
              "args": [
                "<string>"
              ],
              "resources": {
                "requests": [
                  {
                    "name": "UNKNOWN",
                    "value": "<string>"
                  }
                ],
                "limits": [
                  {
                    "name": "UNKNOWN",
                    "value": "<string>"
                  }
                ]
              },
              "env": [
                {
                  "key": "<string>",
                  "value": "<string>"
                }
              ],
              "config": [
                {
                  "key": "<string>",
                  "value": "<string>"
                }
              ],
              "ports": [
                {
                  "container_port": 123,
                  "name": "<string>"
                }
              ],
              "data_config": {
                "enabled": true,
                "input_path": "<string>",
                "output_path": "<string>",
                "format": "JSON",
                "io_strategy": {
                  "download_mode": "DOWNLOAD_EAGER",
                  "upload_mode": "UPLOAD_ON_EXIT"
                }
              },
              "architecture": "UNKNOWN"
            },
            "k8s_pod": {
              "metadata": {
                "labels": {},
                "annotations": {}
              },
              "pod_spec": {},
              "data_config": {
                "enabled": true,
                "input_path": "<string>",
                "output_path": "<string>",
                "format": "JSON",
                "io_strategy": {
                  "download_mode": "DOWNLOAD_EAGER",
                  "upload_mode": "UPLOAD_ON_EXIT"
                }
              },
              "primary_container_name": "<string>"
            },
            "sql": {
              "statement": "<string>",
              "dialect": "UNDEFINED"
            },
            "task_type_version": 123,
            "security_context": {
              "run_as": {
                "iam_role": "<string>",
                "k8s_service_account": "<string>",
                "oauth2_client": {
                  "client_id": "<string>",
                  "client_secret": {
                    "group": "<string>",
                    "group_version": "<string>",
                    "key": "<string>",
                    "mount_requirement": "ANY",
                    "env_var": "<string>"
                  }
                },
                "execution_identity": "<string>"
              },
              "secrets": [
                {
                  "group": "<string>",
                  "group_version": "<string>",
                  "key": "<string>",
                  "mount_requirement": "ANY",
                  "env_var": "<string>"
                }
              ],
              "tokens": [
                {
                  "name": "<string>",
                  "type": "CLIENT_CREDENTIALS",
                  "client": {
                    "client_id": "<string>",
                    "client_secret": {
                      "group": "<string>",
                      "group_version": "<string>",
                      "key": "<string>",
                      "mount_requirement": "ANY",
                      "env_var": "<string>"
                    }
                  },
                  "idp_discovery_endpoint": "<string>",
                  "token_endpoint": "<string>"
                }
              ]
            },
            "extended_resources": {
              "gpu_accelerator": {
                "device": "<string>",
                "unpartitioned": true,
                "partition_size": "<string>"
              },
              "shared_memory": {
                "mount_path": "<string>",
                "mount_name": "<string>",
                "size_limit": "<string>"
              }
            },
            "config": {}
          }
        },
        "created_at": "2023-11-07T05:31:56Z"
      },
      "short_description": "<string>"
    }
  ],
  "token": "<string>"
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

Query Parameters

id.name
string

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, this server-provided token can be used to fetch the next page in a query. +optional

filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING

Response

A successful response.

tasks
object[]

A list of tasks returned based on the request.

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.